
QGIS Application - Bug report #232

can't identify qgis version with precision

2006-08-11 01:11 AM - pascal-ferrand-tiscali-fr -

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10291

Description

I send only some tickets and I think not very OK to do that.

I've load 3 differentes versions of windows qgis that I can't name other that they are name by decompress directory.

qgis-0.8.0-win32-060724

qgis-0.8.0_pre1

qgis-grass-0.8.0-preview-win32-060605

On all these versions, the only thing I can access with "aide" is "A propos"

It's the same for my linux version "qgis_0.8.0_preview-1_source" compile with Linux

History

#1 - 2006-08-11 11:00 PM - Gavin Macaulay -

- Status changed from Open to In Progress

#2 - 2006-08-19 02:37 AM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from In Progress to Closed

Done in SVN commit:c6d88ade (SVN r5711). A make, make install, or make all in the toplevel directory will cause qgis to report the subversion version

number (via the svnversion command) of the compiled code via the --help command line argument or in the Help::About dialog box.

#3 - 2006-08-25 03:06 AM - holl-gdf-hannover-de -

Hello,

I just updated my winbuild jail and found out, that this change does not affect the Makefile.win (which results in an error, because the file qgssvnversion.h is

not yet generated).

Could this be added as well for the win-build (Makefile.win/Makefile.win.rules.in) to be generated automatically?

Thanks

Stephan

#4 - 2006-08-25 03:30 AM - anonymous -
I've not used makefiles for windows (nor have a compilation environment for windows), so if someone with such experience could add and test the changes

in Makefile.am that were done as part of svn commit:c6d88ade (SVN r5711) to the win makefile that would be good.

#5 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
